메인 콘텐츠로 건너뛰기
오류가 발생하면 Venice API는 HTTP 상태 코드와 설명 메시지를 반환합니다. 일부 오류에는 환불 상태, 권장 재시도 모델, 유효성 검사 세부 정보 또는 요청 ID와 같은 추가 필드도 포함됩니다.

오류 응답 형식

대부분의 오류는 사람이 읽을 수 있는 메시지가 포함된 error 필드를 반환합니다:
{
  "error": "Invalid request parameters"
}
일부 엔드포인트는 엔드포인트별 추가 필드를 포함합니다. 예를 들어 비디오 검열 오류에는 크레딧이 환불되었는지가 포함될 수 있습니다:
{
  "error": "Your generation was blocked due to the model provider's content policies. Credits have been refunded.",
  "credits_refunded": true
}
유효성 검사 오류에는 필드 수준의 유효성 검사 정보가 포함된 detailsissues 필드가 포함될 수 있습니다:
{
  "error": "Invalid request parameters",
  "details": {
    "_errors": [],
    "field": {
      "_errors": ["Field is required"]
    }
  },
  "issues": []
}
일부 OpenAI 호환 엔드포인트는 컨텍스트 길이 오류와 같은 특정 경우에 OpenAI 스타일의 오류 객체를 반환할 수 있습니다:
{
  "error": {
    "message": "Your request exceeds the model's maximum context. Please reduce your prompt or completion length.",
    "type": "invalid_request_error",
    "param": "messages",
    "code": "context_length_exceeded"
  }
}

오류 코드

Error CodeHTTP StatusMessageLog Level
AUTHENTICATION_FAILED401Authentication failed-
AUTHENTICATION_FAILED_INACTIVE_KEY401Authentication failed - Pro subscription is inactive. Please upgrade your subscription to continue using the API-
X402_INVALID_SIGN_IN401Invalid Sign-in-with-x signature-
PRO_ONLY_MODEL401This model is only available to Pro users-
INSUFFICIENT_BALANCE402Insufficient USD or Diem balance to complete request. Visit https://venice.ai/settings/api to add credits.-
API_KEY_DIEM_SPEND_LIMIT_EXCEEDED402API key DIEM spend limit exceeded. Your account may still have DIEM balance, but this API key has reached its configured DIEM spending limit.-
API_KEY_USD_SPEND_LIMIT_EXCEEDED402API key USD spend limit exceeded. Your account may still have USD balance, but this API key has reached its configured USD spending limit.-
UNAUTHORIZED403Unauthorized access-
API_ACCESS_DISABLED403API access has been disabled for this account. Please contact [email protected]-
X402_WALLET_MISMATCH403You can only access resources for your own wallet-
INVALID_REQUEST400Invalid request parameters-
INVALID_MODEL400Invalid model specified-
REQUEST_ID_NOT_FOUND400Request ID is invalid.-
INVALID_AUDIO_FORMAT400Invalid audio format. Supported formats are WAV and MP3.-
INVALID_VIDEO_FORMAT400Invalid video format. Supported formats include MP4, MOV, WebM, MKV, AVI, and others.-
CORRUPTED_IMAGE400The image file is corrupted or unreadable-
IMAGE_TOO_SMALL400Image dimensions are too small-
TOO_MANY_TOKENS400Your request exceeds the model’s maximum context. Please reduce your prompt or completion length.-
CHARACTER_NOT_FOUND404No character could be found from the provided character_slug-
MODEL_NOT_FOUND404Specified model not found-
MEDIA_NOT_FOUND404Media could not be found. Request may may be invalid, expired, or deleted.-
PAYLOAD_TOO_LARGE413The request payload is too large. Please reduce the size of your request.-
INVALID_CONTENT_TYPE415Invalid request content-type-
VIDEO_DURATION_TOO_LONG422Video duration exceeds the maximum allowed.-
VIDEO_DURATION_TOO_SHORT422Video duration is too short.-
IMAGE_TOO_LARGE422Image dimensions exceed the maximum allowed.-
CONTENT_POLICY_VIOLATION422Your prompt violates the content policy of Venice.ai or the model provider-
ASR_UPSTREAM_VALIDATION_FAILED422The audio could not be processed for transcription. Common causes: zero-length, silent, corrupt, or unsupported-language audio. Please verify the file and retry.warn
RATE_LIMIT_EXCEEDED429Rate limit exceeded-
MODEL_OVERLOADED429The model is currently overloaded. Please try again later.-
INFERENCE_FAILED500Inference processing failederror
UPSCALE_FAILED500Image upscaling failederror
IMAGE_EDIT_ERROR500Image edit failederror
UNKNOWN_ERROR500An unknown error occurrederror
TEE_ATTESTATION_FAILED502TEE attestation request failed. The Trusted Execution Environment provider may be temporarily unavailable.error
TEE_SIGNATURE_FAILED502TEE signature request failed. The Trusted Execution Environment provider may be temporarily unavailable.error
ASR_UPSTREAM_FAILED502Audio transcription failed due to a temporary upstream error. Please retry.warn
MODEL_OFFLINE503The model is temporarily offline. Please try again later.-
MODEL_AT_CAPACITY503The model is at capacity. Please try again later.-
REQUEST_TIMEOUT504The request took too long to complete and was timed-out. For long-running inference requests, use the streaming API by setting stream=true in your request.-